import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Region {

    private String csvFile = "data/countries.csv";
    private String[] continents = {"Africa", "Americas", "Asia", "Europe", "Oceania"};
    private ArrayList<Country> countryArrayListEurope = new ArrayList<>();
    private ArrayList<Country> countryArrayListAfrica = new ArrayList<>();
    private ArrayList<Country> countryArrayListAmericas = new ArrayList<>();
    private ArrayList<Country> countryArrayListAsia = new ArrayList<>();
    private ArrayList<Country> countryArrayListOceania = new ArrayList<>();


    public Region() {
        this.loadCSVCountries();
    }

    public String[] getContinents() {
        return continents;
    }

    public ArrayList<Country> getCountryArrayListAfrica() {
        return countryArrayListAfrica;
    }

    public ArrayList<Country> getCountryArrayListAsia() {
        return countryArrayListAsia;
    }

    public ArrayList<Country> getCountryArrayListAmericas() {
        return countryArrayListAmericas;
    }

    public ArrayList<Country> getCountryArrayListEurope() {
        return countryArrayListEurope;
    }

    public ArrayList<Country> getCountryArrayListOceania() {
        return countryArrayListOceania;
    }

    public void loadCSVCountries() {
        CSVUtils csvUtils = new CSVUtils();
        Scanner scanner = null;
        try {
            scanner = new Scanner(new File(csvFile));
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
        while (scanner.hasNext()) {

            List<String> line = csvUtils.parseLine(scanner.nextLine());

            String c3 = line.get(0);
            String[] splitArray = c3.split(",");
            String c2 = line.get(16);
            String[] splitArray2 = c2.split(",");

            if (line.get(12).equals("Europe")) {
                Country c = new Country(splitArray[1], line.get(12), Double.parseDouble(splitArray2[0]), Double.parseDouble(splitArray2[1]));
                countryArrayListEurope.add(c);
            } else if (line.get(12).equals("Africa")) {
                Country c = new Country(splitArray[1], line.get(12), Double.parseDouble(splitArray2[0]), Double.parseDouble(splitArray2[1]));
                countryArrayListAfrica.add(c);
            } else if (line.get(12).equals("Americas")) {
                Country c = new Country(splitArray[1], line.get(12), Double.parseDouble(splitArray2[0]), Double.parseDouble(splitArray2[1]));
                countryArrayListAmericas.add(c);
            } else if (line.get(12).equals("Asia")) {
                Country c = new Country(splitArray[1], line.get(12), Double.parseDouble(splitArray2[0]), Double.parseDouble(splitArray2[1]));
                countryArrayListAsia.add(c);
            } else if (line.get(12).equals("Oceania")) {
                Country c = new Country(splitArray[1], line.get(12), Double.parseDouble(splitArray2[0]), Double.parseDouble(splitArray2[1]));
                countryArrayListOceania.add(c);
            }


        }
        scanner.close();
        /*Utils.displayArrayList(countryArrayListOceania);
        Utils.displayArrayList(countryArrayListAfrica);
        Utils.displayArrayList(countryArrayListAmericas);
        Utils.displayArrayList(countryArrayListAsia);
        Utils.displayArrayList(countryArrayListEurope);*/

    }

}