public class Size {
    private int max = 240;
    private int min = 40;
    private int defaultSize = 160;
    private int size;

    Size() {
    }

    Size(int size) {
        setSize(size);
    }

    public int getMin() {
        return min;
    }

    public int getMax() {
        return max;
    }

    public int getDefaultSize() {
        return defaultSize;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        if (validateSize(size)) {
            this.size = size;
        } else {
            throw new IllegalArgumentException("Size must be between " + this.getMin() + " and " + this.getMax());
        }
    }

    private boolean validateSize(int size) {
        return (size >= getMin() && size <= getMax());
    }

    public int distanceTo(Size size) {
        int distance = size.getSize() - this.getSize();
        return Math.abs(distance);
    }
}
